Book_1_Chapter_8_Master_of_the_Wood = class(Window);

function Book_1_Chapter_8_Master_of_the_Wood: GetName()
	return "Book 1, Chapter 8: Master of the Wood";
end

function Book_1_Chapter_8_Master_of_the_Wood: IsRunning()
	return (self.window ~= nil);
end

function Book_1_Chapter_8_Master_of_the_Wood: Start()
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("Capítulo 8: Mestre da Floresta"); --título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end

	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true)

	-- STARTS WITH -MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");

	-- adiciona (append) STARTS WITH - MAP REF
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n-Strider-29.6S, 51.2W-The Prancing Pony-Bree");

	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE):");

	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nHá alguém que poderia encontrar estes crebain para nós, se lhe pedíssemos tal ajuda... no entanto, ele pode não ver nossas preocupações como suas. Ele é conhecido por muitos povos por muitos nomes. Antigamente, ele era conhecido como Orald para os homens, enquanto para os anões ele era simplesmente Forn. Os Elfos o chamavam de Iarwain Ben-adar, o mais velho e órfão. No entanto, nestes dias, ele é conhecido como Tom Bombadil por aqueles poucos que o conhecem.\n\n— Procure a casa do Velho Bombadil, que fica no extremo leste do Withywindle, o rio que atravessa a Floresta Velha. Ele pode ajudá-lo se você perguntar em meu nome, Aragorn. Se você descobrir alguma coisa, eu pediria que você resolvesse da melhor maneira possível.\n\n— Gostaria de poder ajudá-lo nessa tarefa, mas a segurança de meus protegidos vem antes de tudo.");

	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");

	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nQuando você estava em Buckland investigando a incursão dos Nazgûl, você falou com Fredegar Bolger, que revelou informações sobre Frodo Bolseiro e o Anel do Inimigo. Crebain atacou e pode ter ouvido as palavras do hobbit.");

	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");

	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n1-Fale com Tom Bombadil\nA casa de Tom Bombadil fica no extremo leste do rio Withywindle na Floresta Velha.\n\nStrider lhe disse para procurar alguém chamado Tom Bombadil e pedir sua ajuda para encontrar o crebain que voou para a Floresta Velha.\n\nStrider : 'Mais sábio que o carvalho mais antigo é Tom Bombadil. Vá até a bela casa dele na Floresta Velha e ganhe sua ajuda como puder.\nLenglinn : 'Depressa! Você deve ir rapidamente à casa de Tom Bombadil e pedir sua ajuda. Se os crebain dissessem aos Nazgûl o que ouviram, isso poderia significar o fim da Terra-média!\n— Dizem que sua casa fica no extremo leste do rio Withywindle, na Floresta Velha. Lembre-se, se você descobrir algo importante, você deve levar para Strider imediatamente!'\nTom Bombadil : 'Hoy agora! Ei agora! O que é toda essa agitação? Não recebemos tantos convidados desde o nosso casamento! Há tempo suficiente para observar pássaros, mas talvez primeiro uma ou duas canções, meu bem?\n'Deixe seu coração voar livre e deixe de lado suas preocupações. Você está na casa de Tom Bombadil!'\n");

	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nVá para a Floresta Velha e fale com Tom Bombadil, entrando por (great barrow ) e mais facil de chegar.\n\nTom Bombadil mora na Velha Floresta de Bree-land e é encontrado dentro ou fora de sua casa , onde mora com sua esposa Goldberry , a filha do rio.\n\nSua origem e natureza são desconhecidas até mesmo para os Sábios. Na superfície, ele parece ser um homem baixo . Ele é jovial e canta com frequência, e se descreve assim em versos:\n\n Comentario :O velho Tom Bombadil é um sujeito alegre;\nSua jaqueta é azul brilhante e suas botas são amarelas. \nEle não é verdadeiramente um Homem, pois pode ser o ser vivo mais antigo do mundo. Ele afirma ser o mais velho e se lembrar da primeira gota de chuva e da primeira bolota, e da escuridão sob as estrelas antes de Morgoth chegar. Ele é o 'Mestre' do pequeno reino ao redor de sua casa, abrangendo a Floresta Velha e os Túmulos . Isso não significa que a terra pertence a ele, mas que ele não tem nada a temer de qualquer coisa dentro de seus limites. [1] Ele não é afetado pelo Um Anel , mas não tem poder sobre ele. É especulado por Glorfindel que se Sauron conquistasse o mundo, Tom Bombadil seria o último a cair, mas cairia. \n\nO nome 'Tom Bombadil' é como ele é chamado pelos Hobbits de Buckland . Outras culturas o conhecem por outros nomes. Para os elfos , ele é Iarwain Ben-adar , 'Mais velho e órfão', literalmente 'Jovem-velho sem pai'. Entre Anões e Homens do Norte ele é chamado de Forn e Orald respectivamente, ambos significando 'Antigo' na língua dos Anões, a língua de Rohan e os Vales do Anduin . \n\nEste ser antigo deve ter viajado muito para ser conhecido por tantos, mas agora ele se estabeleceu com sua esposa Goldberry na Floresta Velha, e não vai além dos limites dentro dos quais ele é 'Mestre'. No início da Terceira Era , no entanto, uma irmã de Goldberry foi corrompida pelo sangue derramado em sua primavera nas guerras entre Arthedain e Rhudaur . Ele acusou os soldados de Arthedain de salvar essa donzela do Rio . Eles falharam em agir sobre isso, pelo qual Bombadil os amaldiçoou a permanecer no mundo como mortos inquietos até que Naruhel , a Donzela Vermelha, como ela agora é conhecida, seja redimida ou destruída. ");

	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nCréditos e Autoria: ");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText(" Redigido  pelo Dastan e patrocinado  pelo Hallarthil");

	--Cria uma barra de rolagem vertical para o label
	v_scrollbar=Turbine.UI.Lotro.ScrollBar();
	v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight());
	v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	self.label:SetVerticalScrollBar(v_scrollbar);

	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();

		self.label:SetSize(window_width-30, window_height-70);
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height); 
	end

	Window.Start(self);
end

function Book_1_Chapter_8_Master_of_the_Wood:Stop()
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end
RegisterWindow(Book_1_Chapter_8_Master_of_the_Wood()); 